<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUserPhoneAssociationReq StructType
 * @subpackage Structs
 */
class AddUserPhoneAssociationReq extends APIRequest
{
    /**
     * The userPhoneAssociation
     * @var XUserPhoneAssociation
     */
    public $userPhoneAssociation;
    /**
     * Constructor method for AddUserPhoneAssociationReq
     * @uses AddUserPhoneAssociationReq::setUserPhoneAssociation()
     * @param XUserPhoneAssociation $userPhoneAssociation
     */
    public function __construct(XUserPhoneAssociation $userPhoneAssociation = null)
    {
        $this
            ->setUserPhoneAssociation($userPhoneAssociation);
    }
    /**
     * Get userPhoneAssociation value
     * @return XUserPhoneAssociation|null
     */
    public function getUserPhoneAssociation()
    {
        return $this->userPhoneAssociation;
    }
    /**
     * Set userPhoneAssociation value
     * @param XUserPhoneAssociation $userPhoneAssociation
     * @return AddUserPhoneAssociationReq
     */
    public function setUserPhoneAssociation(XUserPhoneAssociation $userPhoneAssociation = null)
    {
        $this->userPhoneAssociation = $userPhoneAssociation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUserPhoneAssociationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
